import 'package:flutter/material.dart';

class ItemPosition extends InheritedWidget {
  final Widget child;
  final bool isFirst;
  final bool isLast;
  final bool hasSeparationLine;

  ItemPosition({
    Key? key,
    required this.child,
    required this.isFirst,
    required this.isLast,
    required this.hasSeparationLine,
  }) : super(key: key, child: child);

  static ItemPosition? of(BuildContext context) {
    return context.dependOnInheritedWidgetOfExactType<ItemPosition>();
  }

  @override
  bool updateShouldNotify(covariant InheritedWidget oldWidget) => true;
}
