import 'package:flutter/material.dart';

class StatefulAppBar extends StatefulWidget implements PreferredSizeWidget {
  final StatefulWidgetBuilder builder;

  const StatefulAppBar({
    Key? key,
    required this.builder,
  }) : super(key: key);

  @override
  State<StatefulAppBar> createState() => _StatefulAppBarState();

  @override
  Size get preferredSize => AppBar(
        title: Text("Test"),
      ).preferredSize;
}

class _StatefulAppBarState extends State<StatefulAppBar> {
  @override
  Widget build(BuildContext context) {
    return StatefulBuilder(
      builder: widget.builder,
    );
  }
}
